MODINFO(8)

NOM
modinfo - Informations à propos d'un module du noyau

SYNOPSIS
modinfo [ options ] <module_file>

DESCRIPTION
L'utilitaire modinfo examine le fichier objet module_file associé à un module du noyau et affiche les informations qu'il peut y recueillir.

  OPTIONS

-a, --author
    Afficher l'auteur du module.

-d, --description
    Afficher une description du module.

-fformat_string, --format format_string
    Utiliser la chaîne de format spécifiée par l'utilisateur pour extraire les valeurs de la section ELF de module_file qui contient l'information sur le module. Les remplacements consistent en un signe de pourcentage suivi du nom d'étiquette entre accolades. Un nom d'étiquette %{filename} est toujours supporté, même si le module n'a pas de section modinfo. %{kernel_version} affiche le numéro de version du noyau pour lequel le module a été compilé. %{{using_checksums} renvoie 1 si le module a des numéros de version sur les symboles et 0 ou <none> sinon. Un nom d'étiquette %{parm} est spécial : la chaîne de format est répétée pour chaque paramètre connu du module (ce qui peut être zéro fois) et %{parm} est remplacé par la description du paramètre du modules (un paramètre sur chaque ligne). De plus, %a, %d, %l, %n et %p peuvent servir à remplacer %{author}, %{description}, %{filename}, %{license} et %{parm}, respectivement.

-h, --help
    Afficher un résumé des options.

-l, --license
    Afficher la licence du module.

-n, --filename
    Afficher le nom du fichier du module.

-p, --parameters
    Afficher le type de paramètres que le module accepte.

-V, --version
    Afficher la version de modinfo.

Si aucune option n'est fournie, l'affichage par défaut est nom de fichier, description, auteur, licence et paramètres.

VOIR AUSSI
insmod(8), modprobe(8), depmod(8), rmmod(8), lsmod(8), ksyms(8)

TRADUCTION

Ce document est une traduction réalisée par Jérome Signouret en 2000 et révisée le 19 novembre 2007.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. La version anglaise la plus à jour de ce document est toujours consultable via la commande : « LANG=C man 8 modinfo ». N'hésitez pas à signaler à l'auteur ou au traducteur, selon le cas, toute erreur dans cette page de manuel.